Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface UniqueMetadata

All Superinterfaces:
  Metadata

    public interface UniqueMetadata

extends Metadata

Represents a unique constraint.

Since:
  3.0

Method Summary
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the unique constraint.
`java.lang.Boolean` | `getDeferred()` Accessor for whether deferred.
`MemberMetadata[]` | `getMembers()` Accessor for all fields/properties defined on the unique constraint.
`java.lang.String` | `getName()` Accessor for the constraint name.
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this unique constraint.
`int` | `getNumberOfMembers()` Accessor for the number of fields/properties defined for this unique constraint.
`java.lang.String` | `getTable()` Accessor for the name of the table.
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this unique constraint.
`FieldMetadata` | `newFieldMetadata(java.lang.String name)` Add a new field for this unique constraint.
`PropertyMetadata` | `newPropertyMetadata(java.lang.String name)` Add a new property for this unique constraint.
`UniqueMetadata` | `setDeferred(boolean def)` Method to set whether the constraint is deferred.
`UniqueMetadata` | `setName(java.lang.String name)` Method to set the name of the constraint
`UniqueMetadata` | `setTable(java.lang.String table)` Method to set the table name.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setName

    UniqueMetadata setName(java.lang.String name)

  Method to set the name of the constraint

  Parameters:
    `name` - Name of the constraint

### getName

    java.lang.String getName()

  Accessor for the constraint name.

  Returns:
    The constraint name

### setTable

    UniqueMetadata setTable(java.lang.String table)

  Method to set the table name.

  Parameters:
    `table` - Table name

### getTable

    java.lang.String getTable()

  Accessor for the name of the table.

  Returns:
    The name

### setDeferred

    UniqueMetadata setDeferred(boolean def)

  Method to set whether the constraint is deferred.

  Parameters:
    `def` - Deferred?

### getDeferred

    java.lang.Boolean getDeferred()

  Accessor for whether deferred.

  Returns:
    Deferred?

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the unique constraint.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this unique constraint.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this unique constraint.

  Returns:
    The number of columns

### getMembers

    MemberMetadata[] getMembers()

  Accessor for all fields/properties defined on the unique constraint.

  Returns:
    The members

### getNumberOfMembers

    int getNumberOfMembers()

  Accessor for the number of fields/properties defined for this unique constraint.

  Returns:
    The number of members

### newFieldMetadata

    FieldMetadata newFieldMetadata(java.lang.String name)

  Add a new field for this unique constraint.

  Parameters:
    `name` - Name of the field
  Returns:
    The FieldMetadata

### newPropertyMetadata

    PropertyMetadata newPropertyMetadata(java.lang.String name)

  Add a new property for this unique constraint.

  Parameters:
    `name` - Name of the property
  Returns:
    The PropertyMetadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.